package capitulo04.bloque08;

import static capitulo04.utils.Utils.solicitarIntScanner;

public class Ejercicio02 {
    public static void main(String[] args) {

        int[] nums = new int[10];

        for (int i = 0; i < nums.length; i++) {
            nums[i] = solicitarIntScanner("Introduzca el número " + (i + 1) + ": ");
        }

        System.out.println("Array con indices:");
        for (int i = 0; i < nums.length; i++) {
            System.out.println("Indice " + i + ": " + nums[i]);
        }

        int inicial, finalPos;
        do {
            inicial = solicitarIntScanner("Introduzca la posición inicial del rango a ignorar (0-9): ");
            finalPos = solicitarIntScanner("Introduzca la posición final del rango a ignorar (0-9): ");
        } while (inicial >= finalPos || inicial < 0 || finalPos > 9);

        int tempNum = nums[nums.length - 1];
        for (int i = nums.length - 1; i > finalPos; i--) {
            nums[i] = nums[i - 1];
        }
        nums[finalPos + 1] = nums[inicial - 1];
        for (int i = inicial - 1; i > 0; i--) {
            nums[i] = nums[i - 1];
        }
        nums[0] = tempNum;

        System.out.println("Array modificado: ");
        for (int i = 0; i < nums.length; i++) {
            System.out.println("Indice " + i + ": " + nums[i]);
        }
    }
}
